Subject: RE: Specifying revocationReason in CMP (RFC4210)

From: Stefan Santesson <[email-masked]>
Date: Thu, 6 Sep 2007 15:28:38 +0100

Jostein,

I see no answers on your question.

On your main question the answer is yes, syntactically you can specify revocation reason by including a CRL Reason Code extension. See section 5.3.1 of rfc3280bis
The same should be the case for badSinceDate that can be replaced by a Invalidity Date CRL entry extension (section 5.3.1 of rfc3280bis).

I conclude this by reading the respective specifications. I have CC:d some of the document editors hoping that they can confirm or correct my assumptions.

Stefan Santesson
Senior Program Manager
Windows Security, Standards

> -----Original Message-----
> From: [email-masked] [mailto:owner-ietf-
> [email-masked]] On Behalf Of Jostein Tveit
> Sent: den 2 augusti 2007 17:02
> To: [email-masked]
> Subject: Specifying revocationReason in CMP (RFC4210)
>
>
> Hi,
>
> RFC2510 contains a revocationReason and a badSinceDate inside
> RevDetails (See chapter 3.3.9 in RFC2510)
>
> RFC4210 seems to have removed those attributes from the
> RevDetails structure (See chapter 5.3.9 in RFC4210).
>
> How am I supposed to specify the revocation reason when using CMP
> according to RFC4210?
> Am I supposed to use the crlEntryDetails extension?
> If so, what kind of extension should be used?
>
> Anyone know what implementations of RFC4210 use? (If such
> implementations currently exists...)
>
> Thanks in advance for any answers.
>
> Regards,
> --
> Jostein Tveit <[email-masked]>